forum-msg-id-128584-edit

Original date:2015-08-27 09:56:45 Edited by: ghaberek Subject: Re: Attempting to get WEE to work on Linux

It runs out of the box on my Linux Mint 17.2 64 bits. Here is what I'm using:

labo@labo-desktop:~/T?l?chargements/WEE-master > eui -v 
Euphoria Interpreter v4.1.0 development 
   64-bit Linux, Using System Memory 
   Revision Date: 2013-04-15 22:28:34, Id: 6112:ca9cd0a77eff 
labo@labo-desktop:~/T?l?chargements/WEE-master > eubind wee.exw 
deleted 58 unused routines and 445 unused variables. 
You may now run .//home/labo/T?l?chargements/WEE-master/wee 
labo@labo-desktop:~/T?l?chargements/WEE-master > ./wee 
labo@labo-desktop:~/T?l?chargements/WEE-master > dpkg -l | grep gtk 
ii  gftp-gtk                                    2.0.19-4ubuntu2                                   amd64        X/GTK+ FTP client 
ii  gir1.2-gtk-2.0                              2.24.23-0ubuntu1.2                                amd64        GTK+ graphical user interface library -- gir bindings 
ii  gir1.2-gtk-3.0                              3.10.8~8+qiana                                    amd64        GTK+ graphical user interface library -- gir bindings 
ii  gir1.2-javascriptcoregtk-3.0                2.4.8-1ubuntu1~ubuntu14.04.1                      amd64        JavaScript engine library from WebKitGTK+ - GObject introspection data 
ii  gtk2-engines:amd64                          1:2.20.2-3ubuntu1                                 amd64        theme engines for GTK+ 2.x 
ii  gtk2-engines:i386                           1:2.20.2-3ubuntu1                                 i386         theme engines for GTK+ 2.x 
ii  gtk2-engines-murrine:amd64                  0.98.2-0ubuntu2                                   amd64        cairo-based gtk+-2.0 theme engine 
ii  gtk2-engines-murrine:i386                   0.98.2-0ubuntu2                                   i386         cairo-based gtk+-2.0 theme engine 
ii  gtk2-engines-oxygen:amd64                   1.4.5-0ubuntu1                                    amd64        Oxygen widget theme for GTK+-based applications 
ii  gtk2-engines-oxygen:i386                    1.4.5-0ubuntu1                                    i386         Oxygen widget theme for GTK+-based applications 
ii  gtk2-engines-pixbuf:amd64                   2.24.23-0ubuntu1.2                                amd64        pixbuf-based theme for GTK+ 2.x 
ii  gtk2-engines-pixbuf:i386                    2.24.23-0ubuntu1.2                                i386         pixbuf-based theme for GTK+ 2.x 
ii  gtk3-engines-oxygen:amd64                   1.3.5-0ubuntu1                                    amd64        Oxygen widget theme for GTK3-based applications 
ii  ibus-gtk:i386                               1.5.5-1ubuntu3                                    i386         Intelligent Input Bus - GTK+2 support 
ii  kde-config-gtk-style                        3:2.2.1-1fakesync1                                amd64        KDE configuration module for GTK+ 2.x and GTK+ 3.x styles selection 
ii  libcanberra-gtk-module:i386                 0.30-0ubuntu3                                     i386         translates GTK+ widgets signals to event sounds 
ii  libcanberra-gtk0:amd64                      0.30-0ubuntu3                                     amd64        GTK+ helper for playing widget event sounds with libcanberra 
ii  libcanberra-gtk0:i386                       0.30-0ubuntu3                                     i386         GTK+ helper for playing widget event sounds with libcanberra 
ii  libcanberra-gtk3-0:amd64                    0.30-0ubuntu3                                     amd64        GTK+ 3.0 helper for playing widget event sounds with libcanberra 
ii  libclutter-gtk-1.0-0:amd64                  1.4.4-3ubuntu2.2                                  amd64        Open GL based interactive canvas library GTK+ widget 
ii  libcolord-gtk1:amd64                        0.1.25-1.1                                        amd64        GTK+ convenience library for interacting with colord 
ii  libdbusmenu-gtk3-4:amd64                    12.10.3+14.04.20140612-0ubuntu1                   amd64        library for passing menus over DBus - GTK+ version 
ii  libgtk-3-0:amd64                            3.10.8~8+qiana                                    amd64        GTK+ graphical user interface library 
ii  libgtk-3-bin                                3.10.8~8+qiana                                    amd64        programs for the GTK+ graphical user interface library 
ii  libgtk-3-common                             3.10.8~8+qiana                                    all          common files for the GTK+ graphical user interface library 
ii  libgtk2-gladexml-perl                       1.007-1build3                                     amd64        Perl interface to use user interfaces created with glade-2 
ii  libgtk2-perl                                2:1.249-2                                         amd64        Perl interface to the 2.x series of the Gimp Toolkit library 
ii  libgtk2.0-0:amd64                           2.24.23-0ubuntu1.2                                amd64        GTK+ graphical user interface library 
ii  libgtk2.0-0:i386                            2.24.23-0ubuntu1.2                                i386         GTK+ graphical user interface library 
ii  libgtk2.0-bin                               2.24.23-0ubuntu1.2                                amd64        programs for the GTK+ graphical user interface library 
ii  libgtk2.0-common                            2.24.23-0ubuntu1.2                                all          common files for the GTK+ graphical user interface library 
ii  libgtk2.0-dev                               2.24.23-0ubuntu1.2                                amd64        development files for the GTK+ library 
ii  libgtkgl2.0-1                               2.0.1-2ubuntu3                                    amd64        OpenGL context support for GTK+ (shared libraries) 
ii  libgtkgl2.0-dev                             2.0.1-2ubuntu3                                    amd64        OpenGL context support for GTK+ (development files) 
ii  libgtkglext1                                1.2.0-3.1fakesync3                                amd64        OpenGL Extension to GTK+ (shared libraries) 
ii  libgtkglext1-dev                            1.2.0-3.1fakesync3                                amd64        OpenGL Extension to GTK+ (development files) 
ii  libgtkglextmm-x11-1.2-0:amd64               1.2.0-6ubuntu1                                    amd64        C++ bindings for GtkGLExt (Shared libraries) 
ii  libgtkglextmm-x11-1.2-dev:amd64             1.2.0-6ubuntu1                                    amd64        C++ bindings for GtkGLExt (Development files) 
ii  libgtkhex-3-0                               3.8.1-1ubuntu2                                    amd64        GNOME Hex editor for files (shared library) 
ii  libgtkmm-2.4-1c2a:amd64                     1:2.24.4-1ubuntu1                                 amd64        C++ wrappers for GTK+ (shared libraries) 
ii  libgtkmm-2.4-dev:amd64                      1:2.24.4-1ubuntu1                                 amd64        C++ wrappers for GTK+ (development files) 
ii  libgtkmm-3.0-1:amd64                        3.10.1-0ubuntu2                                   amd64        C++ wrappers for GTK+ (shared libraries) 
ii  libgtkspell0                                2.0.16-1ubuntu7                                   amd64        a spell-checking addon for GTK's TextView widget 
ii  libjavascriptcoregtk-1.0-0:amd64            2.4.8-1ubuntu1~ubuntu14.04.1                      amd64        JavaScript engine library from WebKitGTK+ 
ii  libjavascriptcoregtk-3.0-0:amd64            2.4.8-1ubuntu1~ubuntu14.04.1                      amd64        JavaScript engine library from WebKitGTK+ 
ii  libreoffice-gtk                             1:4.4.3~rc2-0ubuntu1~trusty1                      amd64        office productivity suite -- GTK+ integration 
ii  libwebkitgtk-1.0-0:amd64                    2.4.8-1ubuntu1~ubuntu14.04.1                      amd64        Web content engine library for GTK+ 
ii  libwebkitgtk-1.0-common                     2.4.8-1ubuntu1~ubuntu14.04.1                      all          Web content engine library for GTK+ - data files 
ii  libwebkitgtk-3.0-0:amd64                    2.4.8-1ubuntu1~ubuntu14.04.1                      amd64        Web content engine library for GTK+ 
ii  libwebkitgtk-3.0-common                     2.4.8-1ubuntu1~ubuntu14.04.1                      all          Web content engine library for GTK+ - data files 
ii  libwxgtk-media2.8-0:amd64                   2.8.12.1+dfsg-2ubuntu2                            amd64        wxWidgets Cross-platform C++ GUI toolkit (GTK+ media library runtime) 
ii  libwxgtk-media2.8-dev                       2.8.12.1+dfsg-2ubuntu2                            amd64        wxWidgets Cross-platform C++ GUI toolkit (GTK+ media library development) 
ii  libwxgtk2.8-0:amd64                         2.8.12.1+dfsg-2ubuntu2                            amd64        wxWidgets Cross-platform C++ GUI toolkit (GTK+ runtime) 
ii  libwxgtk2.8-dev                             2.8.12.1+dfsg-2ubuntu2                            amd64        wxWidgets Cross-platform C++ GUI toolkit (GTK+ development) 
ii  mint-themes-gtk3                            3.10+11                                           all          Mint themes for GTK3 
ii  python-gtk2                                 2.24.0-3ubuntu3                                   amd64        Python bindings for the GTK+ widget set 
ii  python3-aptdaemon.gtk3widgets               1.1.1-1ubuntu5.2                                  all          Python 3 GTK+ 3 widgets to run an aptdaemon client 
 

Regards

Jean-Marc

Not Categorized, Please Help

Search



Quick Links

User menu

Not signed in.

Misc Menu